Subject: Re: [PATCH] gnu: emacs: Fix source snippet.

From: John Kehayias <[email-masked]>
Date: Wed, 22 Jun 2022 14:41:28 +0000

I forgot to CC other users on the bug, so I'm sending the message again. Apologies if you got this twice.

------- Original Message -------
On Tuesday, June 21st, 2022 at 9:53 PM, John Kehayias <[email-masked]> wrote:

> Hello,
>
> I believe this bug is due to a change in emacs to where the tramp-default-remote-path was moved from tramp-sh.el to tramp.el: https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=695f6792f1524a446d276bf5c5e53bbb4c200909
>
> Due to this the source snippet in emacs that adds guix paths did not work, as you should see by examining the variable: C-h v tramp-remote-path
>
> I've tested this patch builds, sets tramp-remote-path, and alleviates the sudo problem I also experienced (for local tramp). Please test if this fixes it for you. And maybe someone can relay this to the guix-devel thread mentioned in case there is more to be done as per the discussion there.
>
> Thanks,
> John

From 9cf58b23bc169e173c363a8c9107caa90d2a8f71 Mon Sep 17 00:00:00 2001
From: John Kehayias <[email-masked]>
Date: Tue, 21 Jun 2022 21:22:26 -0400
Subject: [PATCH] gnu: emacs: Fix source snippet.

Fixes <https://issues.guix.gnu.org/55443>.

* gnu/packages/emacs.scm (emacs)[source](snippet): Patch tramp.el rather than
tramp-sh.el as the code to be patched moved.
---
 gnu/packages/emacs.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
index 31b5c04324..0de4b7a5d5 100644
--- a/gnu/packages/emacs.scm
+++ b/gnu/packages/emacs.scm
@@ -106,7 +106,7 @@ (define-public emacs
                   ;; Make sure Tramp looks for binaries in the right places on
                   ;; remote Guix System machines, where 'getconf PATH' returns
                   ;; something bogus.
-                  (substitute* "net/tramp-sh.el"
+                  (substitute* "net/tramp.el"
                     ;; Patch the line after "(defcustom tramp-remote-path".
                     (("\\(tramp-default-remote-path")
                      (format #f "(tramp-default-remote-path ~s ~s ~s ~s "
-- 
2.36.1